com.taosdata.jdbc.ws.entity

## Class FetchBlockNewResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.entity.FetchBlockNewResp

    public class FetchBlockNewResp
    extends Response

### Constructor Summary

Constructors
Constructor and Description
`FetchBlockNewResp(ByteBuffer buffer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `getBuffer()`
`int` `getCode()`
`String` `getMessage()`
`long` `getTime()`
`short` `getVersion()`
`void` `init()`
`boolean` `isCompleted()`
`void` `setBuffer(ByteBuffer buffer)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchBlockNewResp

    public FetchBlockNewResp(ByteBuffer buffer)

### Method Detail

#### init

    public void init()

#### getBuffer

    public ByteBuffer getBuffer()

#### setBuffer

    public void setBuffer(ByteBuffer buffer)

#### isCompleted

    public boolean isCompleted()

#### getTime

    public long getTime()

#### getCode

    public int getCode()

#### getMessage

    public String getMessage()

#### getVersion

    public short getVersion()